package com.steering.ydm.bc.TmsLoad;

/**
 * 数据库表TMS_PLN_C所对应的实体类（生成工具：代码生成器2.4）
 * @author DESKTOP-SA5N7PS   date 2020-05-17
 */
public class TmsPlnCEntity {

    public String getWaybillNo() {
        return waybillNo;
    }

    public void setWaybillNo(String waybillNo) {
        this.waybillNo = waybillNo;
    }

    private String waybillNo;
    /**
     * 运输起点代码
     */
    private String startNodeCode;
    /**
     * 起点描述
     */
    private String startNodeDesc;
    /**
     * 运输终点代码
     */
    private String endNodeCode;
    /**
     * 终点描述
     */
    private String endNodeDesc;
    /**
     * 起点区域代码
     */
    private String startAreaCode;
    /**
     * 起点区域描述
     */
    private String startAreaDesc;
    /**
     * 终点区域
     */
    private String endAreaDesc;
    /**
     * 终点区域代码
     */
    private String endAreaCode;
    /**
     * 运输计划号(运输区分代码2位+YYYYMMDD+5位流水)
     */
    private String plnNo;
    /**
     * 运输计划序号(3位流水)
     */
    private String plnSqe;
    /**
     * 需求号
     */
    private String demandNo;
    /**
     * 参考单号(委外单号、倒运单号)
     */
    private String refeNo;
    /**
     * 判定炉号
     */
    private String heatNo;
    /**
     * 批号
     */
    private String batchNo;
    /**
     * 标识炉号
     */
    private String logoNo;
    /**
     * 组号
     */
    private String groupNo;
    /**
     * 物料代码
     */
    private String materialsCode;
    /**
     * 物料描述
     */
    private String materialsDesc;
    /**
     * 物料规格
     */
    private String materialsSpec;
    /**
     * 计划数量
     */
    private String plnQtyVal;
    /**
     * 计划重量
     */
    private String plnWtVal;
    /**
     * 度量单位代码
     */
    private String uomCode;
    /**
     * 度量单位
     */
    private String uomDesc;
    /**
     * 生产订单号
     */
    private String proOrderNo;
    /**
     * 排产流水号
     */
    private String proOrderSqe;
    /**
     * 本工序炉计划ID
     */
    private String currentJobNo;
    /**
     * 下工序炉计划ID
     */
    private String previousJobNo;
    /**
     * 备注
     */
    private String memo;
    /**
     * 会计年月(YYYYMM)
     */
    private String accountYearMonth;
    /**
     * 归档标志(1归档、0未归档)
     */
    private String archiveFlag;
    /**
     * 归档编号(GD+YYYYYMMDD+3位流水号)
     */
    private String archiveNo;
    /**
     * 归档日期(YYYYMMDD)
     */
    private String archiveDate;
    /**
     * 备注
     */
    private String memo2;
    /**
     * 创建人ID
     */
    private String createUserid;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人ID
     */
    private String updateUserid;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 废除人ID
     */
    private String deleteUserid;
    /**
     * 废除人
     */
    private String deleteName;
    /**
     * 废除时间
     */
    private String deleteTime;

    public TmsPlnCEntity(){
        startNodeCode = "";
        startNodeDesc = "";
        endNodeCode = "";
        endNodeDesc = "";
        startAreaCode = "";
        startAreaDesc = "";
        endAreaDesc = "";
        endAreaCode = "";
        plnNo = "";
        plnSqe = "";
        demandNo = "";
        refeNo = "";
        heatNo = "";
        batchNo = "";
        logoNo = "";
        groupNo = "";
        materialsCode = "";
        materialsDesc = "";
        materialsSpec = "";
        plnQtyVal = "";
        plnWtVal = "";
        uomCode = "";
        uomDesc = "";
        proOrderNo = "";
        proOrderSqe = "";
        currentJobNo = "";
        previousJobNo = "";
        memo = "";
        accountYearMonth = "";
        archiveFlag = "";
        archiveNo = "";
        archiveDate = "";
        memo2 = "";
        createUserid = "";
        createName = "";
        createTime = "";
        updateUserid = "";
        updateName = "";
        updateTime = "";
        deleteUserid = "";
        deleteName = "";
        deleteTime = "";
    }

    /**
     * 运输起点代码
     * @return value
     */
    public String getStartNodeCode() {
        return startNodeCode;
    }

    /**
     * 运输起点代码
     * @param startNodeCode value
     */
    public void setStartNodeCode(String startNodeCode) {
        this.startNodeCode = startNodeCode;
    }

    /**
     * 起点描述
     * @return value
     */
    public String getStartNodeDesc() {
        return startNodeDesc;
    }

    /**
     * 起点描述
     * @param startNodeDesc value
     */
    public void setStartNodeDesc(String startNodeDesc) {
        this.startNodeDesc = startNodeDesc;
    }

    /**
     * 运输终点代码
     * @return value
     */
    public String getEndNodeCode() {
        return endNodeCode;
    }

    /**
     * 运输终点代码
     * @param endNodeCode value
     */
    public void setEndNodeCode(String endNodeCode) {
        this.endNodeCode = endNodeCode;
    }

    /**
     * 终点描述
     * @return value
     */
    public String getEndNodeDesc() {
        return endNodeDesc;
    }

    /**
     * 终点描述
     * @param endNodeDesc value
     */
    public void setEndNodeDesc(String endNodeDesc) {
        this.endNodeDesc = endNodeDesc;
    }

    /**
     * 起点区域代码
     * @return value
     */
    public String getStartAreaCode() {
        return startAreaCode;
    }

    /**
     * 起点区域代码
     * @param startAreaCode value
     */
    public void setStartAreaCode(String startAreaCode) {
        this.startAreaCode = startAreaCode;
    }

    /**
     * 起点区域描述
     * @return value
     */
    public String getStartAreaDesc() {
        return startAreaDesc;
    }

    /**
     * 起点区域描述
     * @param startAreaDesc value
     */
    public void setStartAreaDesc(String startAreaDesc) {
        this.startAreaDesc = startAreaDesc;
    }

    /**
     * 终点区域
     * @return value
     */
    public String getEndAreaDesc() {
        return endAreaDesc;
    }

    /**
     * 终点区域
     * @param endAreaDesc value
     */
    public void setEndAreaDesc(String endAreaDesc) {
        this.endAreaDesc = endAreaDesc;
    }

    /**
     * 终点区域代码
     * @return value
     */
    public String getEndAreaCode() {
        return endAreaCode;
    }

    /**
     * 终点区域代码
     * @param endAreaCode value
     */
    public void setEndAreaCode(String endAreaCode) {
        this.endAreaCode = endAreaCode;
    }

    /**
     * 运输计划号(运输区分代码2位+YYYYMMDD+5位流水)
     * @return value
     */
    public String getPlnNo() {
        return plnNo;
    }

    /**
     * 运输计划号(运输区分代码2位+YYYYMMDD+5位流水)
     * @param plnNo value
     */
    public void setPlnNo(String plnNo) {
        this.plnNo = plnNo;
    }

    /**
     * 运输计划序号(3位流水)
     * @return value
     */
    public String getPlnSqe() {
        return plnSqe;
    }

    /**
     * 运输计划序号(3位流水)
     * @param plnSqe value
     */
    public void setPlnSqe(String plnSqe) {
        this.plnSqe = plnSqe;
    }

    /**
     * 需求号
     * @return value
     */
    public String getDemandNo() {
        return demandNo;
    }

    /**
     * 需求号
     * @param demandNo value
     */
    public void setDemandNo(String demandNo) {
        this.demandNo = demandNo;
    }

    /**
     * 参考单号(委外单号、倒运单号)
     * @return value
     */
    public String getRefeNo() {
        return refeNo;
    }

    /**
     * 参考单号(委外单号、倒运单号)
     * @param refeNo value
     */
    public void setRefeNo(String refeNo) {
        this.refeNo = refeNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getHeatNo() {
        return heatNo;
    }

    /**
     * 判定炉号
     * @param heatNo value
     */
    public void setHeatNo(String heatNo) {
        this.heatNo = heatNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 标识炉号
     * @return value
     */
    public String getLogoNo() {
        return logoNo;
    }

    /**
     * 标识炉号
     * @param logoNo value
     */
    public void setLogoNo(String logoNo) {
        this.logoNo = logoNo;
    }

    /**
     * 组号
     * @return value
     */
    public String getGroupNo() {
        return groupNo;
    }

    /**
     * 组号
     * @param groupNo value
     */
    public void setGroupNo(String groupNo) {
        this.groupNo = groupNo;
    }

    /**
     * 物料代码
     * @return value
     */
    public String getMaterialsCode() {
        return materialsCode;
    }

    /**
     * 物料代码
     * @param materialsCode value
     */
    public void setMaterialsCode(String materialsCode) {
        this.materialsCode = materialsCode;
    }

    /**
     * 物料描述
     * @return value
     */
    public String getMaterialsDesc() {
        return materialsDesc;
    }

    /**
     * 物料描述
     * @param materialsDesc value
     */
    public void setMaterialsDesc(String materialsDesc) {
        this.materialsDesc = materialsDesc;
    }

    /**
     * 物料规格
     * @return value
     */
    public String getMaterialsSpec() {
        return materialsSpec;
    }

    /**
     * 物料规格
     * @param materialsSpec value
     */
    public void setMaterialsSpec(String materialsSpec) {
        this.materialsSpec = materialsSpec;
    }

    /**
     * 计划数量
     * @return value
     */
    public String getPlnQtyVal() {
        return plnQtyVal;
    }

    /**
     * 计划数量
     * @param plnQtyVal value
     */
    public void setPlnQtyVal(String plnQtyVal) {
        this.plnQtyVal = plnQtyVal;
    }

    /**
     * 计划重量
     * @return value
     */
    public String getPlnWtVal() {
        return plnWtVal;
    }

    /**
     * 计划重量
     * @param plnWtVal value
     */
    public void setPlnWtVal(String plnWtVal) {
        this.plnWtVal = plnWtVal;
    }

    /**
     * 度量单位代码
     * @return value
     */
    public String getUomCode() {
        return uomCode;
    }

    /**
     * 度量单位代码
     * @param uomCode value
     */
    public void setUomCode(String uomCode) {
        this.uomCode = uomCode;
    }

    /**
     * 度量单位
     * @return value
     */
    public String getUomDesc() {
        return uomDesc;
    }

    /**
     * 度量单位
     * @param uomDesc value
     */
    public void setUomDesc(String uomDesc) {
        this.uomDesc = uomDesc;
    }

    /**
     * 生产订单号
     * @return value
     */
    public String getProOrderNo() {
        return proOrderNo;
    }

    /**
     * 生产订单号
     * @param proOrderNo value
     */
    public void setProOrderNo(String proOrderNo) {
        this.proOrderNo = proOrderNo;
    }

    /**
     * 排产流水号
     * @return value
     */
    public String getProOrderSqe() {
        return proOrderSqe;
    }

    /**
     * 排产流水号
     * @param proOrderSqe value
     */
    public void setProOrderSqe(String proOrderSqe) {
        this.proOrderSqe = proOrderSqe;
    }

    /**
     * 本工序炉计划ID
     * @return value
     */
    public String getCurrentJobNo() {
        return currentJobNo;
    }

    /**
     * 本工序炉计划ID
     * @param currentJobNo value
     */
    public void setCurrentJobNo(String currentJobNo) {
        this.currentJobNo = currentJobNo;
    }

    /**
     * 下工序炉计划ID
     * @return value
     */
    public String getPreviousJobNo() {
        return previousJobNo;
    }

    /**
     * 下工序炉计划ID
     * @param previousJobNo value
     */
    public void setPreviousJobNo(String previousJobNo) {
        this.previousJobNo = previousJobNo;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 会计年月(YYYYMM)
     * @return value
     */
    public String getAccountYearMonth() {
        return accountYearMonth;
    }

    /**
     * 会计年月(YYYYMM)
     * @param accountYearMonth value
     */
    public void setAccountYearMonth(String accountYearMonth) {
        this.accountYearMonth = accountYearMonth;
    }

    /**
     * 归档标志(1归档、0未归档)
     * @return value
     */
    public String getArchiveFlag() {
        return archiveFlag;
    }

    /**
     * 归档标志(1归档、0未归档)
     * @param archiveFlag value
     */
    public void setArchiveFlag(String archiveFlag) {
        this.archiveFlag = archiveFlag;
    }

    /**
     * 归档编号(GD+YYYYYMMDD+3位流水号)
     * @return value
     */
    public String getArchiveNo() {
        return archiveNo;
    }

    /**
     * 归档编号(GD+YYYYYMMDD+3位流水号)
     * @param archiveNo value
     */
    public void setArchiveNo(String archiveNo) {
        this.archiveNo = archiveNo;
    }

    /**
     * 归档日期(YYYYMMDD)
     * @return value
     */
    public String getArchiveDate() {
        return archiveDate;
    }

    /**
     * 归档日期(YYYYMMDD)
     * @param archiveDate value
     */
    public void setArchiveDate(String archiveDate) {
        this.archiveDate = archiveDate;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo2() {
        return memo2;
    }

    /**
     * 备注
     * @param memo2 value
     */
    public void setMemo2(String memo2) {
        this.memo2 = memo2;
    }

    /**
     * 创建人ID
     * @return value
     */
    public String getCreateUserid() {
        return createUserid;
    }

    /**
     * 创建人ID
     * @param createUserid value
     */
    public void setCreateUserid(String createUserid) {
        this.createUserid = createUserid;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人ID
     * @return value
     */
    public String getUpdateUserid() {
        return updateUserid;
    }

    /**
     * 修改人ID
     * @param updateUserid value
     */
    public void setUpdateUserid(String updateUserid) {
        this.updateUserid = updateUserid;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 废除人ID
     * @return value
     */
    public String getDeleteUserid() {
        return deleteUserid;
    }

    /**
     * 废除人ID
     * @param deleteUserid value
     */
    public void setDeleteUserid(String deleteUserid) {
        this.deleteUserid = deleteUserid;
    }

    /**
     * 废除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 废除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 废除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 废除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }
}